## GstFFMpegVidDec

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstFFMpegVidDec

The GstFFMpegVidDec data structure.

Since : 1.22

### Properties

#### std-compliance

    “std-compliance” Av-codec-compliance *

Specifies standard compliance mode to use

Flags : Read / Write

Default value : auto (2147483647)

Since : 1.22

### Named constants

#### Av-codec-compliance

##### Members

`auto` (2147483647) – The decoder automatically decides. If the pipeline is live, it will use `normal` mode, and `strict` otherwise.
`very-strict` (2) – VeryStrict: Strictly conform to an older more strict version of the spec or reference software
`strict` (1) – Strict: Strictly conform to all the things in the spec no matter what consequences
`normal` (0) – Normal
`unofficial` (-1) – Unofficial: Allow unofficial extensions (decoder will not differentiate this with "normal")
`experimental` (-2) – Experimental: Allow nonstandardized experimental things (decoder will not differentiate this with "normal")

Since : 1.22

The results of the search are